Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.exception
Class ConfigErrorHandler

    java.lang.Object
      org.jboss.seam.faces.Navigator
          org.jboss.seam.exception.ExceptionHandler
              org.jboss.seam.exception.ErrorHandler
                  org.jboss.seam.exception.ConfigErrorHandler

    public final class ConfigErrorHandler

extends ErrorHandler

Implements <http-error/> for pages.xml

Author:
  Gavin King

Nested Class Summary

Nested classes/interfaces inherited from class org.jboss.seam.exception.ExceptionHandler
`ExceptionHandler.LogLevel`

Constructor Summary
`ConfigErrorHandler(String message, boolean conversation, Class clazz, int code)`

Method Summary
`protected int` | `getCode(Exception e)`
`protected String` | `getMessage(Exception e)`
`protected boolean` | `isEnd(Exception e)`
`boolean` | `isHandler(Exception e)`

Methods inherited from class org.jboss.seam.exception.ErrorHandler
`handle, toString`

Methods inherited from class org.jboss.seam.exception.ExceptionHandler
`getLogLevel, isLogEnabled, setLogEnabled, setLogLevel`

Methods inherited from class org.jboss.seam.faces.Navigator
`addFacesMessage, error, getDisplayMessage, redirect, redirect, redirectExternal, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigErrorHandler

    public ConfigErrorHandler(String message,
                              boolean conversation,
                              Class clazz,
                              int code)

Method Detail

### getMessage

    protected String getMessage(Exception e)

  Specified by:
    `getMessage` in class `ErrorHandler`

### getCode

    protected int getCode(Exception e)

  Specified by:
    `getCode` in class `ErrorHandler`

### isHandler

    public boolean isHandler(Exception e)

  Specified by:
    `isHandler` in class `ExceptionHandler`

### isEnd

    protected boolean isEnd(Exception e)

  Specified by:
    `isEnd` in class `ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.